Name:           gkrellm-hddtemp
Version:        0.2
Release:        0.6.beta%{?dist}
Summary:        Hard disk temperature plugin for GKrellM

Group:          Applications/System
License:        GPL
URL:            http://www.guzu.net/linux/hddtemp.php
Source:         http://www.guzu.net/linux/%{name}-%{version}-beta.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  gkrellm-devel >= 2
Requires:       hddtemp >= 0.3
Requires:       gkrellm >= 2

%description
%{summary}.


%prep
%setup -q -n %{name}-%{version}-beta
sed -i -e 's|^\(CFLAGS=.*\)|\1 $(RPM_OPT_FLAGS)|' Makefile


%build
make %{?_smp_mflags} gkrellm2


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 755 gkrellm-hddtemp.so \
    $RPM_BUILD_ROOT%{_libdir}/gkrellm2/plugins/gkrellm-hddtemp.so


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/gkrellm2/plugins/gkrellm-hddtemp.so


%changelog
* Wed Aug 30 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.2-0.6.beta
- Use sed instead of perl during build.

* Thu Feb 16 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.2-0.5.beta
- Rebuild, cosmetics.

* Thu May 19 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.2-0.4.beta
- Rebuild.

* Thu Mar 17 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.2-0.3.beta
- Fix URLs.

* Fri May 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.2-0.fdr.0.2.beta
- Spec file cleanups.

* Sun Apr 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.2-0.fdr.0.1.beta
- Update to current Fedora guidelines.
- Save .spec in UTF-8.

* Fri Feb  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.2-0.beta.fedora.1
- First Fedora release.
